import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Box, Button, Heading, Text, Link, PageLayout, PageHeader } from '@primer/react';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
const Theme = () => (_jsxs(JupyterReactTheme, { children: [_jsx(Heading, { children: "Jupyter Theme" }), _jsxs(Box, { children: [_jsx(Text, { as: "h1", children: "Heading 1" }), _jsx(Text, { as: "h2", children: "Heading 2" }), _jsx(Text, { as: "h3", children: "Heading 3" }), _jsx(Text, { children: "This is a text." }), _jsx("br", {}), _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "This is a link." }), _jsx("br", {}), _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "This is a heading 3 link" }) })] }), _jsxs(Box, { children: [_jsx(Button, { variant: "default", children: "Default" }), _jsx(Button, { variant: "primary", children: "Primary" }), _jsx(Button, { variant: "invisible", children: "Invisible" }), _jsx(Button, { variant: "danger", children: "Danger" })] }), _jsxs(PageLayout, { containerWidth: "full", padding: "normal", children: [_jsx(PageLayout.Header, { children: _jsxs(PageHeader, { children: [_jsx(PageHeader.TitleArea, { variant: "large", children: _jsx(PageHeader.Title, { children: "Documentation" }) }), _jsx(PageHeader.Description, { children: _jsx(Text, { sx: {
                                        fontSize: 1,
                                        color: 'fg.muted'
                                    }, children: "Usefull links..." }) })] }) }), _jsxs(PageLayout.Content, { children: [_jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "User Guide" }) }) }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "Pricing" }) }) }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "Privacy" }) }) }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "Terms and conditions" }) }) })] })] })] }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Theme, {}));
//# sourceMappingURL=Theme.js.map